Get one webhook delivery log. The response includes the related crypto transaction when the log is for a crypto payout. Required scope: webhook:read.
Authorization
oauth2ClientCredentials webhook:readAuthorizationBearer <token>
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: webhook:read
Path Parameters
id*string
The webhook log ID.
Response Body
application/json
Get a webhook log
curl --request GET \ --url 'https://example.com/api/external/webhook-logs/string'{ "message": "Webhook log retrieved successfully", "data": { "id": "log-id", "business_transaction_id": null, "business_crypto_wallet_transaction_id": "crypto-transaction-id", "type": "crypto.payout.failed", "webhook_url": "https://example.com/webhooks/payout", "payload": { "event": "crypto.payout.failed", "transaction_id": "crypto-transaction-id", "transaction_status": "FAILED" }, "response": { "status": 500 }, "status": "FAILED", "business_crypto_wallet_transaction": { "id": "crypto-transaction-id", "reference": "CRYPTO-REF", "status": "FAILED", "currency": "USDC", "network": "ETHEREUM_MAINNET", "transaction_hash": null }, "webhook_log_histories": [ { "id": "history-id", "metadata": { "attempt": 1 }, "headers": { "x-blaaiz-signature": "signature" } } ] }}GETList webhook logs
Get webhook delivery logs for your business. Crypto payout events use the `crypto.payout.*` type values. Required scope: `webhook:read`.
POSTReplay webhook
Replay a webhook delivery. Send `transaction_id` for a successful fiat transaction. Send `webhook_log_id` for an eligible failed crypto payout webhook. Required scope: `webhook:replay`.